<app-loading *ngIf="isLoading"></app-loading>
<div class='app-card'>
  <div class="container-fluid" nz-col nzSpan="24">
    <div class="form">
      <div nz-row class="form-row">
        <div nz-col nzSm='12' nzLg='8' class="form-row__left">
          <input nz-input class="form-row__input" placeholder="{{'common.label.search' | translate}}" [(ngModel)]="textFilter"
                 (keyup.enter)="search(1)" trim/>
          <mb-button class="bt-center" mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="search(1)" mbButtonAvailableStyle="SEARCH"
                     mbButtonText="{{'common.label.search' | translate}}"></mb-button>
        </div>
        <div nz-col nzSpan="12" class="form-row__right">
          <mb-button *ngIf="objFunction?.create" mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="create()" mbButtonAvailableStyle="PRIMARY"
                     mbButtonText="{{'common.button.add' | translate}}"></mb-button>
        </div>
      </div>
    </div>
  </div>
</div>

<div class="app-list">
  <mb-table-merge-cell-wrap>
    <mb-table-merge-cell
      (changePageNum)="search($event)"
      [tableConfig]="tableConfig"
      [dataList]="listData"
      [isScrollHeight]="true"
      nzScrollHeight="45vh"
    ></mb-table-merge-cell>
  </mb-table-merge-cell-wrap>
</div>

<!--Hành động-->
<ng-template #actionTmpl let-id='ngrId'>
  <mb-button-icon *ngIf="objFunction?.edit" mbButtonType="EDIT" (click)="update(id)"> </mb-button-icon>
  <mb-button-icon *ngIf="objFunction?.delete" mbButtonType="DELETE" (click)="delete(id)"> </mb-button-icon>
</ng-template>
<!--End: Hành động-->

<ng-template #statusTmpl let-flagStatus='flagStatus'>
  <ng-container *ngFor='let item of constStatus'>
    <nz-tag [nzColor]="item.bgColor" [ngStyle]="{'color': item.color}" *ngIf='flagStatus === item.value'>{{item.label | translate}}</nz-tag>
  </ng-container>
</ng-template>
